xmlwrapp Lightweight C++ XML parsing library

Public Member Functions | List of all members
xml::attributes::attr Class Reference

The xml::attributes::attr class is used to hold information about one attribute. More...

`#include <attributes.h>`

## Public Member Functions
const char * | get_name () const
| Get the name of this attribute. More...
const char * | get_value () const
| Get the value of this attribute. More...

## Detailed Description

The xml::attributes::attr class is used to hold information about one attribute.

## Member Function Documentation

## ◆ get_name()

const char* xml::attributes::attr::get_name | ( |  | ) | const

Get the name of this attribute.

Returns
  The name for this attribute.

## ◆ get_value()

const char* xml::attributes::attr::get_value | ( |  | ) | const

Get the value of this attribute.

Returns
  The value for this attribute.

The documentation for this class was generated from the following file:

- xmlwrapp/attributes.h